DCMTK - Bug #431

dcmsr does not build with MSC6
2012-07-16 16:51 - Uli Schlachter

Status: Closed Start date: 2012-07-16
Priority: Low Due date:

Assignee: Uli Schlachter % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmsr Compiler:

Operating System:

Description

Error message goes something like this:

dsrsoprf.cxx(316) : error C2248: 'InstanceStruct' : cannot access protected struct declared in class 'DSRSOPInstanceReferencelList’
dsrsoprf.h(323) : see declaration of 'InstanceStruct'

Similar errors happen at other places, also for SeriesStruct.

It seems like MSC6 does not allow sub-classes to access protected members of its parent class:

class A

{

protected:
class B { public: B(); };
class C { void foo() { B b; }; }; // Error, B is protected in A
}i

History

#1 - 2012-07-18 17:14 - J6rg Riesmeier

- Category set to Library

- Assignee changed from J6rg Riesmeier to Uli Schlachter
- Target version set to 3.6.2

- Module set to demsr

Hmm, as far as | can see, | haven't changed the class structure in the last couple of years ...

#2 - 2012-07-27 14:06 - Jan Schlamelcher
- Status changed from New to Resolved

- % Done changed from 0 to 100

Fixed in commit a337a12dc8ab5d578a2d273632651d0fc9e8c3f9 by declarig both nested structs in concern friends of their parent class.

#3 - 2012-08-14 09:11 - J6rg Riesmeier

- Status changed from Resolved to Closed
